﻿
/* =============================
    Dropdown
    ============================
*/
.ssy2-dropdown {
    position: relative;
}


.ssy2-dropdown-content {
    position: absolute;
    background-color: #1d263b;
    border: 1px solid #6ab0e0;
    border-radius: 10px;
    padding: 12px 16px;
    min-width: 10rem;
    transform: scaleY(0);
    transform-origin: top;
    opacity: 0;
    transition: transform 0.2s ease, opacity 0.2s ease;
}

.ssy2-dropdown:hover .ssy2-dropdown-content {
    transform: scaleY(1);
    opacity: 1;
}

/* =============================
    Checkbox
    ============================
*/
.ssy2-checkbox-dot {
    accent-color: #6ab0e0;
    cursor: pointer;
}

.ssy-checkbox-dot::before {
    content: '';
    display: block;
    transition: 3s linear transform;
}

.ssy2-checkbox-dot:hover {
    outline: 1px solid;
    outline-color: #6ab0e0  ;
    outline-offset: 1px;
}

.ssy2-checkbox-dot:not(:checked) {
    accent-color: #3C3C3C;
    border: 1px solid lightgrey;
}

.ssy2-checkbox-dot:focus {
    outline: 1px solid;
    outline-color: #009DC9;
    outline-offset: 1px;
}

/* =============================
    Tabs
    ============================
*/
.ssy2-tab {
    background: none;
    padding: 0;
    border: none;
    cursor: pointer;
    position: relative;
    isolation: isolate;
    overflow: hidden;
    color: #b0b0cc;
    border-bottom: 1px solid #b0b0cc;
    outline: inherit;
}

    .ssy2-tab:hover {
        color: white;
        border-bottom: 1px solid #6ab0e0;
    }

.ssy2-tab-active {
    color: #6ab0e0;
    border-bottom: 1px solid #6ab0e0;
    /* border-radius: 3px 3px 0 0; */
}

    .ssy2-tab::before,
    .ssy2-tab-active::before {
        content: "";
        position: absolute;
        inset: 0;
        background-color: #1d263b;
        transform: scaleY(0);
        transform-origin: bottom;
        transition: transform 0.3s ease;
        z-index: -2;
    }

    .ssy2-tab::after,
    .ssy2-tab-active::after {
        content: "";
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 1px;
        border-left: 1px solid #6ab0e0;
        border-right: 1px solid #6ab0e0;
        border-top: 1px solid #6ab0e0;
        transform: scaleY(0);
        transform-origin: bottom;
        transition: transform 0.3s ease;
        z-index: -1;
    }

    .ssy2-tab-active::before,
    .ssy2-tab-active::after {
        transform: scaleY(1);
    }
